curl --request GET \
--url https://api.withorb.com/v1/credit_notes/{credit_note_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"credit_note_number": "<string>",
"invoice_id": "<string>",
"memo": "<string>",
"reason": "Duplicate",
"type": "refund",
"subtotal": "<string>",
"total": "<string>",
"customer": {
"id": "<string>",
"external_customer_id": "<string>"
},
"credit_note_pdf": "<string>",
"minimum_amount_refunded": "<string>",
"maximum_amount_adjustment": {
"discount_type": "percentage",
"percentage_discount": 123,
"amount_applied": "<string>",
"reason": "<string>",
"applies_to_prices": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"line_items": [
{
"id": "<string>",
"name": "<string>",
"subtotal": "<string>",
"amount": "<string>",
"quantity": 123,
"tax_amounts": [
{
"tax_rate_description": "<string>",
"tax_rate_percentage": "<string>",
"amount": "<string>"
}
],
"item_id": "<string>",
"discounts": [],
"start_time_inclusive": "2023-11-07T05:31:56Z",
"end_time_exclusive": "2023-11-07T05:31:56Z"
}
],
"discounts": []
}This endpoint is used to fetch a single Credit Note given an identifier.
curl --request GET \
--url https://api.withorb.com/v1/credit_notes/{credit_note_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z",
"credit_note_number": "<string>",
"invoice_id": "<string>",
"memo": "<string>",
"reason": "Duplicate",
"type": "refund",
"subtotal": "<string>",
"total": "<string>",
"customer": {
"id": "<string>",
"external_customer_id": "<string>"
},
"credit_note_pdf": "<string>",
"minimum_amount_refunded": "<string>",
"maximum_amount_adjustment": {
"discount_type": "percentage",
"percentage_discount": 123,
"amount_applied": "<string>",
"reason": "<string>",
"applies_to_prices": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"line_items": [
{
"id": "<string>",
"name": "<string>",
"subtotal": "<string>",
"amount": "<string>",
"quantity": 123,
"tax_amounts": [
{
"tax_rate_description": "<string>",
"tax_rate_percentage": "<string>",
"amount": "<string>"
}
],
"item_id": "<string>",
"discounts": [],
"start_time_inclusive": "2023-11-07T05:31:56Z",
"end_time_exclusive": "2023-11-07T05:31:56Z"
}
],
"discounts": []
}API Keys can be issued in the Orb's web application.
OK
The Credit Note resource represents a credit that has been applied to a particular invoice.
The Orb id of this credit note.
The creation time of the resource in Orb.
The time at which the credit note was voided in Orb, if applicable.
The unique identifier for credit notes.
The id of the invoice resource that this credit note is applied to.
An optional memo supplied on the credit note.
Duplicate, Fraudulent, Order change, Product unsatisfactory refund, adjustment The total prior to any creditable invoice-level discounts or minimums.
The total including creditable invoice-level discounts or minimums, and tax.
Show child attributes
A URL to a PDF of the credit note.
Any credited amount from the applied minimum on the invoice.
The maximum amount applied on the original invoice
Show child attributes
All of the line items associated with this credit note.
Show child attributes
Any discounts applied on the original invoice.
Show child attributes
Was this page helpful?